apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: minio
  namespace: argocd
  labels:
    env: dev
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  sources:
    - repoURL: "https://charts.min.io"
      targetRevision: 5.0.15
      helm:
        releaseName: minio
        valueFiles:
          - $values/cihe/factory.c-one-infra.de/stacks/local-backup/minio/helm/values.yaml
      chart: minio
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      ref: values
    - repoURL: https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/stacks-instances
      targetRevision: HEAD
      path: "cihe/factory.c-one-infra.de/stacks/local-backup/minio/manifests"
  destination:
    server: "https://kubernetes.default.svc"
    namespace: minio-backup
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      selfHeal: true
